import sys
import types

try:
    import pickle as pickle
except ImportError: # pragma: no cover
    import pickle

# True if we are running on Python 3.
PY3 = sys.version_info[0] == 3

if PY3: # pragma: no cover
    string_types = str,
    integer_types = int,
    class_types = type,
    text_type = str
    binary_type = bytes
    long = int
    import subprocess as commands

else:
    string_types = str,
    integer_types = (int, int)
    class_types = (type, type)
    text_type = str
    binary_type = str
    long = int
    import subprocess


